libldap module - a wrapper for OpenLDAP library - version 1.3
=============================================================

Description
===========

This module is a Python3 wrapper for the OpenLDAP library. Module defines
only one exception: `LDAPError'. This exception is accompagnied
with a string value which is generally the error message generated by
OpenLDAP library.

See OpenLDAP library documentation (http://www.openldap.org) for more details.

Basic Installation
==================

  To build libldap:

  0. You need to have OpenLDAP library and file `/usr/include/ldap.h'
     installed on your system

  1. You need to have SASL library and file `/usr/include/sasl/sasl.h'

  2. `cd' to the toplevel directory of the package and run the command:

     $ python3 setup.py build

  3. To (re)make html documentation, run (you need `sphinx' tool for Python3,
     see http://sphinx-doc.org and `sphinx_py3doc_enhanced_theme' module):

     $ python3 setup.py build_sphinx --source-dir sphinx/source --build-dir doc

     and you will find the documentation generated in subdirectory doc/html.

  4. As `root', type:

     $ python3 setup.py install

  5. Optionally, you can type:

     $ python3 setup.py clean

     to save disk space.

Documentation
=============

  On line documentation can be found at:

     http://libldap.readthedocs.io

License information
===================

libldap is free software. See the file COPYING for copying conditions.

Note
====

This module has been tested on Linux and FreeBSD.

Author
======

Yves Legrandgerard
email: ylg@irif.fr
